TimeDatumDependentDuration (groovy 2.4.12 API)
Date: 2017-06-21

Package: groovy.time

## [Java] Class TimeDatumDependentDuration

- groovy.time.TimeDatumDependentDuration

- TimeDatumDuration represents a time period which results from an arithmetic operation between a TimeDuration object and a DatumDuration object

  Authors:
    John Wilson tug@wilson.co.uk

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseDuration` | `days, hours, millis, minutes, months, seconds, years`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TimeDatumDependentDuration (int years, int months, int days, int hours, int minutes, int seconds, int millis)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `From` | `getFrom()`
    `` | `DatumDependentDuration` | `minus(Duration rhs)`
    `` | `DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
    `` | `DatumDependentDuration` | `plus(Duration rhs)`
    `` | `DatumDependentDuration` | `plus(DatumDependentDuration rhs)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DatumDependentDuration` | `getAgo, getFrom, getMonths, getYears, minus, minus, plus, plus, plus, plus, toMilliseconds`
    `class BaseDuration` | `compareTo, getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

  - ### Method Detail

    - #### public From getFrom()

    - #### public DatumDependentDuration minus(Duration rhs)

    - #### public DatumDependentDuration minus(DatumDependentDuration rhs)

    - #### public DatumDependentDuration plus(Duration rhs)

    - #### public DatumDependentDuration plus(DatumDependentDuration rhs)